require 'numplot'

require 'test-unit'

class TestConversion < Test::Unit::TestCase
  include NumPlot

  def test_convert_range
    inf = Float::INFINITY
    assert_equal("[1:2]", Conversion.convert_range([1,2]))
    assert_equal("[1:2]", Conversion.convert_range(1..2))
    assert_equal("[1:2]", Conversion.convert_range(1...2))
    assert_equal("[:]", Conversion.convert_range(-inf .. inf))
    assert_equal("[2.0:]", Conversion.convert_range(2.0 .. inf))
    assert_equal("[:2.0]", Conversion.convert_range([nil, 2.0]))
    assert_equal("[:2.0]", Conversion.convert_range([-inf, 2.0]))
  end

  def test_escape_label
    assert_equal('\{\{/Symbol q\}\_n\}\^r\~a\{.8-\}',
                 Conversion.escape_label("{{/Symbol q}_n}^r~a{.8-}"))
  end
end
