require 'numplot'

require 'test-unit'

class TestRGB < Test::Unit::TestCase
  include NumPlot
  
  def test_s_parse
    assert_equal("\"foo\"", LabelParser.parse(false, "foo"))
    assert_equal("\"foo\" offset 32 font \"bar,14\"",
                 LabelParser.parse(false, "foo", offset: 32, font: Font["bar",14]))
    assert_equal("'foo'", LabelParser.parse(true, "foo"))
    assert_equal("'x\\_y'", LabelParser.parse(true, "x_y"))
    assert_equal("'x_y'", LabelParser.parse(true, ET("x_y")))
  end
end
